Name:		tux_aqfh
Version:	1.0.14
Release:	%mkrel 25
License:	GPLv2
URL:		https://sourceforge.net/projects/tuxaqfh/
Group:		Games/Arcade
Source0:	http://tuxaqfh.sourceforge.net/dist/%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Summary:	Tuxedo T. Penguin: A Quest For Herring
BuildRequires:	plib-devel
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(x11)

%description
Tuxedo The Penguin: A Quest for Herring

A 3D search/explore game staring Tux the Linux Penguin and his girlfriend Gown
as they solve problems and search a number of 3D levels for Golden Herring.

Note: A gamepad is needed to play this game, mouse support is not working
anymore on recent Linux distributions.

%prep
%setup -q

%build
%configure --bindir=%{_gamesbindir} --x-libraries="-L%{_libdir} -lplibjs"
%make_build

%install
%make_install bindir=%{_gamesbindir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Tuxedo The Penguin
GenericName=3D exploration game
Comment=Tuxedo The Penguin: A Quest for Herring
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

#Move website to HTML so we can include it as a %%doc instead of clutterng up %%_datadir
mv %{buildroot}%{_datadir}/%{name} HTML

%files
%doc README HTML/
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 1.0.14-25.mga9
+ Revision: 1835936
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.14-24.mga8
+ Revision: 1517512
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.14-23.mga7
+ Revision: 1301473
- Mageia 7 Mass Rebuild

* Thu Oct 13 2016 daviddavid <daviddavid> 1.0.14-22.mga6
+ Revision: 1060627
- use new rpm macros and %%configure2_5x macro

* Tue Feb 09 2016 umeabot <umeabot> 1.0.14-21.mga6
+ Revision: 951177
- Mageia 6 Mass Rebuild

* Sun Dec 14 2014 akien <akien> 1.0.14-20.mga5
+ Revision: 803177
- Improve description and desktop file
- Mention the need for a gamepad in the description, mouse support is broken in Mageia 5

* Sun Dec 14 2014 akien <akien> 1.0.14-19.mga5
+ Revision: 803158
- Rebuild for shared plib

* Wed Oct 15 2014 umeabot <umeabot> 1.0.14-18.mga5
+ Revision: 742266
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.14-17.mga5
+ Revision: 689980
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.14-16.mga4
+ Revision: 519770
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.14-15.mga3
+ Revision: 384849
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 luigiwalser <luigiwalser> 1.0.14-14.mga3
+ Revision: 318380
- rebuild for plib

* Wed Apr 04 2012 luigiwalser <luigiwalser> 1.0.14-13.mga2
+ Revision: 228374
- rebuild for plib

* Sun Feb 05 2012 luigiwalser <luigiwalser> 1.0.14-12.mga2
+ Revision: 204996
- fix license
- fix BuildRequires
- clean spec
- imported package tux_aqfh


* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-12mdv2010.0
+ Revision: 434489
- rebuild

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-11mdv2009.0
+ Revision: 261698
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-10mdv2009.0
+ Revision: 254844
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0.14-8mdv2008.1
+ Revision: 136552
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Apr 30 2007 Crispin Boylan <crisb@mandriva.org> 1.0.14-8mdv2008.0
+ Revision: 19488
- BuildRequires libmesaglut
- XDG menu
- Import tux_aqfh



* Tue Feb  8 2005 Olivier Blin <oblin@mandrakesoft.com> 1.0.14-7mdk
- fix menu section

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.14-6mdk
- rebuild for new plib

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.14-5mdk
- rebuild
- add -lplibjs to link flags to make it link with newer plib
- don't bzip2 icons in .src.rpm
- change summary macro to avoid possible conflicts if we were to build debug package

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.0.14-4mdk
- fixed buildrequires

* Fri Mar 14 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.0.14-3mdk
- added libMesaGLU-devel and XFree86-devel to BuildRequires

* Wed Nov 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.14-2mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- Added icons
	- Install stuff in the correct places
	- Moved %%{_datadir}/%%{name} to doc's as it's just a copy of the games website
	- Cleanups

* Mon Sep 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.14-1mdk
- from Crispin Boylan <viewtronix@uklinux.net> :
	- new version

* Wed Aug  7 2002 Götz Waschk <waschk@linux-mandrake.com> 1.0.13-5mdk
- gcc 3.2 build

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.13-4mdk
- rebuild to link against latest libstdc++

* Mon Feb 25 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.13-3mdk
- rebuild to fix invalid-packager

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.13-2mdk
- remove the menu entry since there is no icon because it generates
  an error in rpmlint; menu entries need to be written fully

* Wed Sep 05 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.0.13-1mdk
- 1.0.13

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.10-4mdk
- rebuild

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-3mdk
- clean spec
- menu

* Tue Sep 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.10-2mdk
- simple rebuild

* Thu Jun 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.10-1mdk
- first Mandrake Package
